org.eclipse.gef.mvc.fx.models

## Class HoverModel

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IViewer>
  - - org.eclipse.gef.mvc.fx.models.HoverModel

All Implemented Interfaces:
  IAdaptable.Bound<IViewer>, IDisposable

    public class HoverModel
    extends IAdaptable.Bound.Impl<IViewer>
    implements IDisposable

The `HoverModel` is used to store the current viewer's mouse hover target, i.e. the `IVisualPart` that is currently under the mouse cursor.

### Property Summary

All Methods Instance Methods Concrete Methods
`javafx.beans.property.ObjectProperty<IContentPart<? extends javafx.scene.Node>>` `hoverIntent` Returns an object property representing the hover intent part.
`javafx.beans.property.ObjectProperty<IVisualPart<? extends javafx.scene.Node>>` `hover` Returns an object property representing the current hover part.

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

Fields
`static java.lang.String` `HOVER_INTENT_PROPERTY` This property stores the intended hovered
`static java.lang.String` `HOVER_PROPERTY` This is the name of the property that stores the currently hovered `IVisualPart`.

### Constructor Summary

Constructors
Constructor and Description
`HoverModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearHover()` Sets the hovered part to `null`.
`void` `clearHoverIntent()` Sets the intentionally hovered part to `null`.
`void` `dispose()`
`IVisualPart<? extends javafx.scene.Node>` `getHover()` Returns the currently hovered `IVisualPart` or `null` if no visual part is hovered.
`IContentPart<? extends javafx.scene.Node>` `getHoverIntent()` Returns the current hover intent `IContentPart` or `null` if no content part is intentionally hovered.
`javafx.beans.property.ObjectProperty<IContentPart<? extends javafx.scene.Node>>` `hoverIntentProperty()` Returns an object property representing the hover intent part.
`javafx.beans.property.ObjectProperty<IVisualPart<? extends javafx.scene.Node>>` `hoverProperty()` Returns an object property representing the current hover part.
`void` `setAdaptable(IViewer adaptable)`
`void` `setHover(IVisualPart<? extends javafx.scene.Node> cp)` Sets the hovered `IVisualPart` to the given value.
`void` `setHoverIntent(IContentPart<? extends javafx.scene.Node> cp)` Sets the hover intent `IContentPart` to the given value.

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Property Detail

#### hoverIntent

    public javafx.beans.property.ObjectProperty<IContentPart<? extends javafx.scene.Node>> hoverIntentProperty

Returns an object property representing the hover intent part.

See Also:
  `getHoverIntent()`, `setHoverIntent(IContentPart)`

#### hover

    public javafx.beans.property.ObjectProperty<IVisualPart<? extends javafx.scene.Node>> hoverProperty

Returns an object property representing the current hover part.

See Also:
  `getHover()`, `setHover(IVisualPart)`

### Field Detail

#### HOVER_PROPERTY

    public static final java.lang.String HOVER_PROPERTY

This is the name of the property that stores the currently hovered `IVisualPart`.

See Also:
  Constant Field Values

#### HOVER_INTENT_PROPERTY

    public static final java.lang.String HOVER_INTENT_PROPERTY

This property stores the intended hovered

See Also:
  Constant Field Values

### Constructor Detail

#### HoverModel

    public HoverModel()

### Method Detail

#### clearHover

    public void clearHover()

Sets the hovered part to `null`.

#### clearHoverIntent

    public void clearHoverIntent()

Sets the intentionally hovered part to `null`.

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IDisposable`
Since:
  1.1

#### getHover

    public IVisualPart<? extends javafx.scene.Node> getHover()

Returns the currently hovered `IVisualPart` or `null` if no visual part is hovered.

Returns:
  the currently hovered `IVisualPart` or `null`

#### getHoverIntent

    public IContentPart<? extends javafx.scene.Node> getHoverIntent()

Returns the current hover intent `IContentPart` or `null` if no content part is intentionally hovered.

Returns:
  The current hover intent `IContentPart` or `null`

#### hoverIntentProperty

    public javafx.beans.property.ObjectProperty<IContentPart<? extends javafx.scene.Node>> hoverIntentProperty()

Returns an object property representing the hover intent part.

See Also:
  `getHoverIntent()`, `setHoverIntent(IContentPart)`

#### hoverProperty

    public javafx.beans.property.ObjectProperty<IVisualPart<? extends javafx.scene.Node>> hoverProperty()

Returns an object property representing the current hover part.

See Also:
  `getHover()`, `setHover(IVisualPart)`

#### setAdaptable

    public void setAdaptable(IViewer adaptable)

Specified by:
  `setAdaptable` in interface `IAdaptable.Bound<IViewer>`
Overrides:
  `setAdaptable` in class `IAdaptable.Bound.Impl<IViewer>`

#### setHover

    public void setHover(IVisualPart<? extends javafx.scene.Node> cp)

Sets the hovered `IVisualPart` to the given value. The given part may be `null` in order to unhover.

Parameters:
  `cp` - hovered `IVisualPart` or `null`

#### setHoverIntent

    public void setHoverIntent(IContentPart<? extends javafx.scene.Node> cp)

Sets the hover intent `IContentPart` to the given value. The given part may be `null` to indicate unhovering.

Parameters:
  `cp` - The hover intent `IContentPart` or `null`.